package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.SExpression;

public class LeftParenthesis extends Token {

    public LeftParenthesis(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        Token nextToken = getNextToken.get();

        return nextToken.parseSExpressionTail(getNextToken);
    }

}
